Description

initialize() method of View class has been changed to initialize(MapContext). This introduced some problems. See related thread in
the TSC mailing list

There are some proposals related to this change:
- Remove initialize() from BaseView. A not compiling error will appear and it's easy to detect.
- Maintain two methods on View, initialize() and initialize(MapContext). initialize() should works as previously
- ...

Remember that to create a new View, the prefered way is used the ProjectDocumentFactory

History
#1 - 03/13/2012 11:10 AM - Francisco José Peñarrubia
- Assignee set to Francisco Puga

Te lo asigno por si vas a hacer algo con esto, o lo ponemos sin versión para la rc1

#2 - 03/13/2012 12:56 PM - Francisco Puga
- Assignee deleted (Francisco Puga)
- Target version deleted (1.12.0-rc1)

Tras hacer algunas pruebas no me parece fácil de solucionar, sin incurrir en la posibilidad de meter más bugs.

Este problema del cambio de API afectará sobre todo a extensiones de terceros que estén intentando crear la Vista a mano. El método recomendado
para crear una vista es usar el ProyectDocumentFactory y debería actualizarse a esto.

La forma de crear y asignar el MapControl y el MapContext es bastante confuso y difícil de trazar. Habría que valorar si es viable mejorarlo, sin
romper compatibilidades. Quito la "versión prevista" pero lo dejo abierto por ahora como recordatorio por si trazamos algún plan de futuro ¿1.13?

#3 - 01/15/2014 12:20 PM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
http://comments.gmane.org/gmane.comp.gis.gvsig.tsc/463
http://www.mail-archive.com/gvsig_desarrolladores@listserv.gva.es/msg02888.html
http://osgeo-org.1560.n6.nabble.com/Metodo-preferido-para-crear-una-vista-td4359840.html
http://osgeo-org.1560.n6.nabble.com/Metodo-preferido-para-crear-una-vista-td4359840.html

